#include <X11/Intrinsic.h>

#include "Fm.h"

char Log [1024];
char Message [1024];

Widget TopLevel;

void LogInit ()
{
   TopLevel = FmInitialize ("Log", "Log", NULL, 0, NULL, 0);

   TopLevel = FmCreateLogger ("Log", TopLevel, NULL, 0);

   FmAttachAv ( "Log", Log); 
   FmAttachAv ( "Message", Message); 

}

void LogCreate ()
{
   FmShowWidget (TopLevel);
}

void LogPut (char *message)
{
   strcpy (Log, message);

printf("LogPut: message = *%s*\n", message );

   FmSetActiveValue ( 0, "Log" ); 
}

char * LogGetMessage ()
{
   return Message;
}


void LogClose ()
{
   XtDestroyWidget (TopLevel);
}