/*$Id: Fm.h,v 1.3 91/04/12 09:46:50 ed Exp $*/
/*************************************************************************
 *                        (C) Copyright 1990, NSL
 *
 *  project: XFaceMaker2
 *  module : Fm.h
 *  author : NSL
 *  date   : February 1990
 *
 *   Include file for XFaceMaker2 applications.
 *
 ************************************************************************/

#include <X11/Intrinsic.h>

/* General Purpose Functions ********************************************/

Widget	FmInitialize();
/*
 *	char *name;
 *	char *class;
 *	XrmOptionDescRec *options;
 *	int num_options;
 * 	int *argcp;
 *	char **argv;
 */
 
 
void	FmLoop();

Widget	FmLoad();
/*
 * 	char *file_name;
 */

 
void	FmAttachFunction();
/*
 * 	char *name;
 *	int (*function)();
 *	char *return_type;
 *	int nargs;
 *	char *arg_type1, *arg_type2, ...;
 */


int 	FaceEvalString();
 /*
  *	Widget widget
  *	char *str;
  *	int param;
  */

String FmGetVersionString();
 /*
  */

/* Active Value Functions  ********************************************/

void	FmAttachAv();
/*
 *	char *av_name;
 *	caddr_t addr;
 */

void	FmGetActiveValue();
/*
 *	Widget widget;
 *	char *av_name;
 */

void	FmSetActiveValue();
/*
 *	Widget w;
 *	char *av_name;
 */


caddr_t	FmGetActiveValueAddr();
/*
 *	char *av_name;
 */

/* Group Widget Functions ********************************************/

int	FmLoadGroup();
/*
 *	char *group_name;
 *	char *file_name;
 */

Widget	FmCreateObject();
/*
 *	Widget parent_widget;
 *	char *object_name;
 *	char *group_name;
 *	Arg *args;
 *	int num_args;
 */

Widget	FmCreateManagedObject();
/*
 *	Widget parent_widget;
 *	char *object_name;
 *	char *group_name;
 *	Arg *args;
 *	int num_args;
 */

void 	FmDeleteObject();
/*
 *      Widget widget;
 * 
 */


/* Old function definitions included for backward compatibility *********/

void	FmUpdateAv();
/*
 *	char *av_name;
 */

void	FmUpdateWidgetAv();
/*
 *	Widget w;
 */

void	FmSetAv();
/*
 *	char *av_name;
 */

caddr_t	FmGetAv();
/*
 *	char *av_name;
 */

/* ******************** end of header Fm.h **************************/
